package com.sinosig.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.sinosig.core.external.filter.JQXBJSearchContext;

/**
 * 实体 [交强险报价] 存储模型
 */
public interface JQXBJ{

    /**
     * 费率系数
     */
    Double getFlxs();

    void setFlxs(Double flxs);

    /**
     * 获取 [费率系数]脏标记
     */
    boolean getFlxsDirtyFlag();
    /**
     * 交强险报价名称
     */
    String getJQXBJName();

    void setJQXBJName(String jQXBJName);

    /**
     * 获取 [交强险报价名称]脏标记
     */
    boolean getJQXBJNameDirtyFlag();
    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();
    /**
     * 实交保费
     */
    BigDecimal getSjbf();

    void setSjbf(BigDecimal sjbf);

    /**
     * 获取 [实交保费]脏标记
     */
    boolean getSjbfDirtyFlag();
    /**
     * 责任限额
     */
    BigDecimal getZrxe();

    void setZrxe(BigDecimal zrxe);

    /**
     * 获取 [责任限额]脏标记
     */
    boolean getZrxeDirtyFlag();
    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();
    /**
     * 交强险报价标识
     */
    String getJQXBJId();

    void setJQXBJId(String jQXBJId);

    /**
     * 获取 [交强险报价标识]脏标记
     */
    boolean getJQXBJIdDirtyFlag();
    /**
     * 条款代码
     */
    String getTkdm();

    void setTkdm(String tkdm);

    /**
     * 获取 [条款代码]脏标记
     */
    boolean getTkdmDirtyFlag();
    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();
    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();
    /**
     * 条款名称
     */
    String getTkmc();

    void setTkmc(String tkmc);

    /**
     * 获取 [条款名称]脏标记
     */
    boolean getTkmcDirtyFlag();
    /**
     * 基准保费
     */
    BigDecimal getJzbf();

    void setJzbf(BigDecimal jzbf);

    /**
     * 获取 [基准保费]脏标记
     */
    boolean getJzbfDirtyFlag();
}
